%define major	3
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		astyle
Version:	3.6.7
Release:	%mkrel 1
Summary:	Source code indenter, formatter and beautifier
License:	LGPLv3+
Group:		Development/C
URL:		https://astyle.sourceforge.net/
Source0:	https://sourceforge.net/projects/astyle/files/astyle/astyle%203.6/astyle-%{version}.tar.bz2
BuildRequires:	java-devel >= 1:1.8.0

%description
Artistic Style is a series of filters that automatically re-indent and reformat
C, C++, C# and Java source files. This package contains the main executable.

%package -n %{libname}
Summary:	Library for Artistic Style
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with the %{name} library as well as the JNI version.

%package -n %{devname}
Summary:	Development files for using %{name} library
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
Development files for using %{name} library.


%prep
%autosetup

#fix rights
chmod 644 doc/*

%build
%set_build_flags
export JAVA_HOME=/usr/lib/jvm/java
%make_build -C build/gcc prefix=%{_prefix} release shared java

%install
install -Dm755 build/gcc/bin/%{name} %{buildroot}%{_bindir}/%{name}
# libastyle
v="3.2.0"
install -Dm755 build/gcc/bin/lib%{name}.so."$v" %{buildroot}%{_libdir}/lib%{name}.so."$v"
cp -P build/gcc/bin/lib%{name}.so.%{major} %{buildroot}%{_libdir}/lib%{name}.so.%{major}
cp -P build/gcc/bin/lib%{name}.so %{buildroot}%{_libdir}/lib%{name}.so
# libastylej (jni)
install -Dm755 build/gcc/bin/lib%{name}j.so."$v" %{buildroot}%{_libdir}/lib%{name}j.so."$v"
cp -P build/gcc/bin/lib%{name}j.so.%{major} %{buildroot}%{_libdir}/lib%{name}j.so.%{major}
cp -P build/gcc/bin/lib%{name}j.so %{buildroot}%{_libdir}/lib%{name}j.so

install -Dm644 src/%{name}.h %{buildroot}%{_includedir}/%{name}.h

%files
%doc doc/*
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}j.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}j.so
%{_includedir}/%{name}.h


%changelog
* Fri Feb 28 2025 daviddavid <daviddavid> 3.6.7-1.mga10
+ Revision: 2153576
- new version: 3.6.7

* Tue Dec 17 2024 daviddavid <daviddavid> 3.6.6-1.mga10
+ Revision: 2125731
- new version: 3.6.6

* Tue Oct 01 2024 daviddavid <daviddavid> 3.6.3-1.mga10
+ Revision: 2102334
- new version: 3.6.3

* Sat Sep 14 2024 daviddavid <daviddavid> 3.6.2-1.mga10
+ Revision: 2096198
- new version: 3.6.2

* Mon Aug 19 2024 daviddavid <daviddavid> 3.6-1.mga10
+ Revision: 2087005
- new version: 3.6

* Thu Mar 14 2024 daviddavid <daviddavid> 3.4.13-1.mga10
+ Revision: 2049890
- new version: 3.4.13

* Sun Mar 10 2024 daviddavid <daviddavid> 3.4.12-1.mga10
+ Revision: 2048974
- new version: 3.4.12

* Mon Mar 14 2022 umeabot <umeabot> 3.1-4.mga9
+ Revision: 1791439
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 3.1-3.mga8
+ Revision: 1510455
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Sep 21 2018 umeabot <umeabot> 3.1-2.mga7
+ Revision: 1295001
- Mageia 7 Mass Rebuild

* Sat Feb 24 2018 shlomif <shlomif> 3.1-1.mga7
+ Revision: 1204836
- New version 3.1

* Mon Sep 11 2017 tv <tv> 3.0.1-2.mga7
+ Revision: 1153022
- BR java-devel instead of gcj
+ shlomif <shlomif>
- update make macro

* Mon Jul 17 2017 shlomif <shlomif> 3.0.1-1.mga7
+ Revision: 1123878
- New version 3.0.1

* Sat Feb 18 2017 shlomif <shlomif> 2.06-1.mga6
+ Revision: 1086690
- New version 2.06

* Mon Mar 28 2016 pterjan <pterjan> 2.05.1-5.mga6
+ Revision: 995973
- Rebuild to get it on arm

* Fri Feb 19 2016 umeabot <umeabot> 2.05.1-4.mga6
+ Revision: 969627
- Mageia 6 Mass Rebuild

* Sat Sep 05 2015 ycantin <ycantin> 2.05.1-3.mga6
+ Revision: 873101
- Package libastylej (JNI version)

* Tue Sep 01 2015 ycantin <ycantin> 2.05.1-2.mga6
+ Revision: 872078
- add library and devel packages

* Sat Jun 20 2015 shlomif <shlomif> 2.05.1-1.mga6
+ Revision: 835769
- New version 2.05.1

* Wed Oct 15 2014 umeabot <umeabot> 2.04-3.mga5
+ Revision: 748398
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.04-2.mga5
+ Revision: 678009
- Mageia 5 Mass Rebuild

* Wed Feb 12 2014 sander85 <sander85> 2.04-1.mga5
+ Revision: 589801
- New version: 2.04

* Sat Oct 19 2013 umeabot <umeabot> 2.03-2.mga4
+ Revision: 523704
- Mageia 4 Mass Rebuild

* Fri May 24 2013 shlomif <shlomif> 2.03-1.mga4
+ Revision: 426445
- New version 2.03

* Fri Jan 11 2013 umeabot <umeabot> 2.02.1-2.mga3
+ Revision: 346480
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 wally <wally> 2.02.1-1.mga2
+ Revision: 178421
- new version 2.02.1

* Fri Sep 02 2011 wally <wally> 2.02-1.mga2
+ Revision: 138056
- imported package astyle

